<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from flps_frombary.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="flps_frombary" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>flps_frombary</refname><refpurpose>Returns the floating point number given its b-ary decomposition.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   x = flps_frombary ( d )
   x = flps_frombary ( d , b )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>d :</term>
      <listitem><para> a matrix of floating point integers, the digits in lower endian order.</para></listitem></varlistentry>
   <varlistentry><term>b :</term>
      <listitem><para> a 1x1 matrix of floating point integers, the radix (default b=2)</para></listitem></varlistentry>
   <varlistentry><term>x :</term>
      <listitem><para> a 1x1 matrix of doubles, the floating point number</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Given the radix b and the digits d(i), for i = 1, 2, ..., p,
returns a number
x = d(1) + d(2)/b + d(3)/b^2 + ... + d(p-1)/b^(b-1) such that
0 &lt;= x &lt; b.
   </para>
   <para>
Any optional input argument equal to the empty matrix is replaced by its default value.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x = flps_frombary ( [1 0]' )
expected = 1
//
x = flps_frombary ( [1 0]' , 2 )
expected = 1
//
x = flps_frombary ( [0 1 0 1]' , 3 )
expected = 1/3+1/3^3
//
x = flps_frombary ( [1 1 0 1 0 1]' )
expected = 1 + 1/2 + 1/2^3 + 1/2^5

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2010</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Handbook of floating-point arithmetic", Jean-Michel Muller, Nicolas Brisebarre, Florent de Dinechin, Claude-Pierre Jeannerod, Vincent Lefevre, Guillaume Melquiond, Nathalie Revol, Damien Stehle, Serge Torres, Birkhauser Boston, 2010</para>
</refsection>
</refentry>
